Lien Add - Sandbox

Download Transaction Document

Download transaction’s document by transaction and document Id

get
https://api-test.vitu.com/national-public-api/v2/transaction/{transactionId}/forms/download/{documentId}

Query Parameters

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

blankboolean

if you need to generate blank form

Path Parameters

transactionIdstringrequired

Either int transactionId or uuid refNumber

Match pattern:^[\s\S]*$

<= 255 characters

documentIdstringrequired

identifier of the document

Match pattern:^[\s\S]*$

<= 255 characters

Headers

x-on-behalf-of-userinteger(int32)

>= -2147483648<= 2147483647

Response

application/pdf

OK

string

<= 255 characters

get/transaction/{transactionId}/forms/download/{documentId}
 
application/pdf

Utils

Utils operations.

Get Transaction Id By Ref Number

Get transaction ID by Reference Number provided on Create

get
https://api-test.vitu.com/national-public-api/v2/transactionId/{refNumber}

Path Parameters

refNumberstring(uuid)required

refNumber parameter.

<= 36 characters

Response

application/json

OK

integer(int32)

>= -2147483648<= 2147483647

get/transactionId/{refNumber}
 
application/json

ESign

ESign operations.

Cancel Sign

Cancel an e-sign request

post
https://api-test.vitu.com/national-public-api/v2/transaction/{transactionId}/sign/cancel

Path Parameters

transactionIdstringrequired

Either int transactionId or uuid refNumber

Match pattern:^[\s\S]*$

<= 255 characters

Headers

x-on-behalf-of-userinteger(int32)

>= -2147483648<= 2147483647

Body

application/json

CancelSignDTO

CancelSignDTOobject

Response

application/json

OK

EmptyResponse

EmptyResponseobject

Empty response body (operation accepted / no content).

* Additional properties are NOT allowed.
post/transaction/{transactionId}/sign/cancel

Body

{}
 
application/json